<?php

namespace Plainwork\Ui\Component;

final class HtmlTemplate
{
    private string $html;
    private array $vars;

    public function __construct(string $html, ...$vars)
    {
        $this->html = $html;
        $this->vars = $vars;
    }

    public function getHtml(): string
    {
        return $this->html;
    }

    public function getVars(): array
    {
        return $this->vars;
    }
}
